Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
package.keywords
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Russian
View previous topic :: View next topic  
Author Message
zubator
Apprentice
Apprentice


Joined: 16 Sep 2004
Posts: 174
Location: Moscow

PostPosted: Thu Jun 02, 2005 7:09 pm    Post subject: package.keywords Reply with quote

значит создал я у себя в директории /etc/portage файл с именем сабжа, и вписал туда
net-im/licq ~x86
www-apps/lxr ~x86
media-video/mplayer ~x86
media-gfx/gqview ~x86
x11-wm/fluxbox ~x86
net-fs/samba ~x86
app-editors/vim ~x86
app-editors/vim-core ~x86
x11-terms/xterm ~x86
media-gfx/gimp ~x86
app-text/djvu ~x86
media-libs/win32codecs ~x86
net-misc/smb4k ~x86
app-office/openoffice-bin ~x86

и вот почему-то например на licq и на openoffice не действует, как это можно исправить?
Back to top
View user's profile Send private message
mrAlex2003
n00b
n00b


Joined: 21 Mar 2005
Posts: 19

PostPosted: Fri Jun 03, 2005 2:46 am    Post subject: Re: package.keywords Reply with quote

zubator wrote:

и вот почему-то например на licq и на openoffice не действует, как это можно исправить?


значить упустил какой нибудь пакет и/или неправильно их написал

можно так: ACCEPT_KEYWORDS="~x86" emerge licq
_________________
Gentoo x86, KDE 3.4, SIM, Firefox
Back to top
View user's profile Send private message
zubator
Apprentice
Apprentice


Joined: 16 Sep 2004
Posts: 174
Location: Moscow

PostPosted: Fri Jun 03, 2005 5:48 am    Post subject: Reply with quote

да вроде посмотрел все зависимотсти, все ок. Да как ты предложил так тоже можно, но мне так не нравиться))) лучше пусть в файлике все будет, а то всего и не упомнишь
Back to top
View user's profile Send private message
zubator
Apprentice
Apprentice


Joined: 16 Sep 2004
Posts: 174
Location: Moscow

PostPosted: Sat Jun 04, 2005 6:51 am    Post subject: Reply with quote

странно когда набираю
emerge -puD world то у меня не показывается что есть обновления для licq, а когда набрал
emerge -s licq, то вот что выдалось
net-im/licq
Latest version available: 1.3.0-r4
Latest version installed: 1.2.7
Size of downloaded files: 4,211 kB
Homepage: http://www.licq.org/
Description: ICQ Client with v8 support
License: GPL-2
странно, почему он мне не показывает что все обновления, как бы это можно исправить? я же не могу каждый пакет просматривать так и искать где есть обновления, а где нет, хотя для некоторых пакетов все нормально показывается
Back to top
View user's profile Send private message
YD
Guru
Guru


Joined: 30 Oct 2004
Posts: 466
Location: Riga, Latvia

PostPosted: Sat Jun 04, 2005 12:34 pm    Post subject: Reply with quote

Ну всё правильно, новее в portage и нету.

з.ы. http://www.gentoo-portage.com/net-im/licq
Back to top
View user's profile Send private message
viy
Veteran
Veteran


Joined: 03 Jul 2004
Posts: 1580
Location: Riga, Latvia

PostPosted: Sat Jun 04, 2005 3:25 pm    Post subject: Reply with quote

Новее в portage есть. Нет записи "net-im/licq" в файле world. Я тоже иногда замечаю такие фишки за некоторыми пакетами.
Возможно это связано с тем, что изначально пакет ставился как ~x86.
Не уверен.
Back to top
View user's profile Send private message
kaktyc
Tux's lil' helper
Tux's lil' helper


Joined: 14 Aug 2004
Posts: 100

PostPosted: Sun Jun 05, 2005 4:45 pm    Post subject: Reply with quote

Скорее всего делал emerge by path, т.е. emerge foobar-0.0.1.ebuild, а это автоматом добавляет опцию oneshot
Code:

--oneshot (-1)
              Emerge as normal, but do not add the packages to the world profile
              for later updating.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Russian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum